### Property

# GtkSource FileSaver:compression-type

#### Declaration

    property compression-type: GtkSource.CompressionType [ read, write, construct ]

#### Description [src]

The compression type.

Type:`GtkSourceCompressionType`

Default value | GTK_SOURCE_COMPRESSION_TYPE_NONE
Getter method | `gtk_source_file_saver_get_compression_type()`
Setter method | `gtk_source_file_saver_set_compression_type()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no